
Foreman - Bug #13070

Inconsistent "actions" column on various pages

01/08/2016 06:03 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Web Interface   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3085

  

Description

The "actions" column was changed in #4629 in a couple of ways, but remains inconsistent.

1) The "Actions" heading was added in most pages, but is missing in the smart proxies index and the Reports index.

2) The "Delete" link was changed to a button in most pages, but not in smart variables/parameter indexes, the Domains index, the

Operating Systems index, the Reports index or the Bookmarks index.

3) The "Delete" button is left aligned in most pages, except on Global Parameters where it's centred and in Bookmarks where it's

right aligned.

Related issues:

Related to Foreman - Feature #4629: Add Patternfly support in foreman Closed 03/11/2014

Has duplicate Foreman - Bug #12760: Delete action in infrastructure/Domain ta... Duplicate 12/10/2015

Associated revisions

Revision 9573c033 - 01/19/2016 07:36 AM - Ori Rabin

Fixes #13070 - making actions column consistent

History

#1 - 01/08/2016 06:03 AM - Dominic Cleal

- Related to Feature #4629: Add Patternfly support in foreman added

#2 - 01/18/2016 01:34 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#3 - 01/18/2016 02:27 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3085 added

#4 - 01/19/2016 08:02 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9573c033d94d9eefcdd2f65ed1c1eb49a4f2dcff.

#5 - 02/22/2016 03:49 AM - Dominic Cleal

- Has duplicate Bug #12760: Delete action in infrastructure/Domain tab table is presented as a link and not as a button. added
